Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1365352

Summary: Hang on reboot, watchdog did not stop
Product: [Fedora] Fedora Reporter: David Highley <dhighley>
Component: dracutAssignee: dracut-maint-list
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 24CC: dracut-maint-list, harald, iamreallynotapokemon, jonathan, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 16:21:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Highley 2016-08-09 04:11:35 UTC
Description of problem:
Last message seen on system restart is watchdog did not stop and the reboot hangs.

Version-Release number of selected component (if applicable):
dracut-044-20.fc24.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
We have four systems that hang like this since updating to Fedora 24. We have tried init 6 and reboot. Also reboot from Gnome greeter menu for restart.We have had at least 3 kernel updates and issue has persisted. The only out is to use the reset button.

Prevents any type of remote administrative support that would require a reboot.
Picked dracut as component since it is mentioned just prior to the watchdog message.

Comment 1 David Highley 2016-08-17 02:50:43 UTC
What has changed in the boot process that would cause this issue between release 23 and release 24? We have checked the boot log but see nothing more than what goes to the screen.

watchdog: watchdog0: watchdog did not stop

Temporary work around has been to change the systemd watch dog default timeout of 10 minutes to 10 seconds which has restored the normal reboot time.

Comment 3 David Highley 2016-08-23 02:51:26 UTC
Here is what I find from journalctl:

Aug 22 19:20:34 redwood systemd[1]: Reached target Shutdown.
Aug 22 19:20:34 redwood systemd[1]: Reached target Final Step.
Aug 22 19:20:34 redwood systemd[1]: Starting Reboot...
Aug 22 19:20:34 redwood systemd[1]: Shutting down.
Aug 22 19:20:34 redwood lvm[4271]:   6 logical volume(s) in volume group "fedora
_redwood" unmonitored
Aug 22 19:20:34 redwood systemd[1]: Hardware watchdog 'iTCO_wdt', version 0
Aug 22 19:20:34 redwood systemd[1]: Set hardware watchdog to 10min.
Aug 22 19:20:34 redwood kernel: watchdog: watchdog0: watchdog did not stop!
Aug 22 19:20:34 redwood systemd-shutdown[1]: Sending SIGTERM to remaining proces
ses...
Aug 22 19:20:34 redwood dnsmasq[1431]: exiting on receipt of SIGTERM
Aug 22 19:20:34 redwood systemd-journald[738]: Journal stopped
-- Reboot --

Looked above this output and found nothing that indicated an issue. But maybe I miss filed this report and it should be against systemd instead? Still learning how to find info in journal logs.

Comment 4 Harald Hoyer 2016-08-24 07:53:15 UTC
Please try the second debug method of comment #2

Comment 5 David Highley 2016-08-25 03:03:43 UTC
OK, I looked at that before and just see a laundry list of I'm assuming dracut command options of which none I had any idea of what to do with. So I have now tried the very beginning of that section doing this:

# mkdir -p /run/initramfs/etc/cmdline.d
# echo "rd.debug rd.break=pre-shutdown rd.break=shutdown" > /run/initramfs/etc/cmdline.d/debug.conf
# touch /run/initramfs/.need_shutdown

Which appeared to do nothing. I will need more specific instructions so that I can provide the information you need.

Comment 6 Harald Hoyer 2016-09-07 08:43:50 UTC
This might be caused by the same bug as:
https://bugzilla.redhat.com/show_bug.cgi?id=1366575

One thing to try, if that is the case:
before reboot, do:
# rm -f /run/udev/control

Comment 7 David Highley 2016-09-07 11:15:53 UTC
Thanks for the information. I tried the removal /run/udev/control but it did not change or fix the issue we are seeing.

Comment 8 David Highley 2016-11-23 15:10:29 UTC
Happy to report that this issue is fixed in Fedora 25 kernel 4.8.8-300.

Comment 9 Fedora End Of Life 2017-07-25 22:19:06 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-08-08 16:21:06 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.